Mashape Blog

Rumors aboard Mashape's spaceship

Marco Palladino
The latest update of Kong (0.9.2) ships with improvements and bugfixes:

Updates

    Prevent Kong from silently failing to start. This would be caused by an erroneous error handler. Correctly report migrations errors. OAuth2: allow to correctly delete applications when using Cassandra. And much more.
To update to the latest version, simply follow the installation instructions.

Docker Official Image

We are happy to announce that Kong finally has an official Docker image, and it’s available in the Docker Hub. You can now use Kong with Docker just by running the “kong” image. The previous “mashape/kong” image is deprecated…
Marco Palladino
The latest update of Kong (0.9.1) ships with improvements and bugfixes:

Updates

    Extended the API of the ACL and Basic, HMAC, JWT, Key, OAuth2 Authentication plugins to enable easier querying. Fixed a bug caused by the “unlimited” ulimit value. Fixed a bug that prevented the configuration file from being parsed properly. And much more.
To update to the latest version, simply follow the installation instructions.

Docker Official Image

We are happy to announce that Kong finally has an official Docker image, and it’s available in the Docker Hub. You can now use Kong with Docker just by…
Marco Palladino
As we’re approaching 1M downloads we wanted to be sure to build for the long term and support the community with an API Gateway focused on reliability, efficiency and speed. We are happy to announce that Kong 0.9 has been released after a few months of intense refactoring and improvements. This is the biggest release since we started the project, and will set a solid foundation for the months to come. Check the full changelog.

New CLI and Configuration

We are introducing a new CLI and a new configuration format to make Kong easier to use in a bigger…
Marco Palladino
The latest update of Kong (0.8.3) ships with some bugfixes:

Updates

    Fixed an edge case that was preventing new nodes from properly registering themselves into the “nodes” table. Fixed a bug that was occurring when using OAuth 2.0 and Postgres. And more.
To update to the latest version, simply follow the installation instructions.

Cassandra or PostgreSQL?

With the release of Kong 0.8.x you can now finally decide to use either Cassandra or PostgreSQL for storing your data. Cassandra and Postgres are two different databases with different engines that serve different use-cases. We recommend using Cassandra in multi-datacenter setups,…
Marco Palladino
The latest update of Kong (0.8.2) ships with some fixes and improvements:

Updates

    The Mashape Analytics plugin is now called “Galileo”, and added support for Galileo v3. The Response Rate Limiting plugin introduces a new “block_on_first_violation” property, and sends usage headers to the upstream APIs. OAuth 2.0 now supports multiple redirect URIs. Fixed many bugs in the Loggly, JWT, Request Transformer, IP Restriction and CORS plugins. And more.
To update to the latest version, simply follow the installation instructions.

PostgreSQL support!

In case you missed the previous announcement, Kong 0.8.x now finally supports both Cassandra and PostgreSQL. You…
Marco Palladino
The first public release of Kong was launched on April 27th, 2015. We are happy to announce that yesterday Kong turned 1 year old, and we are going to take this chance to recap what happened during the long and intense past 12 months.

Adoption

Kong is the most popular open source API & Microservice management gateway currently on GitHub, having just crossed 5,000 stars. Although Kong is still pre-1.0 its production usage has been growing intensively in the past 12 months, reaching about 40,000 running active instances per month. (The chart above is not cumulative) Kong is…
Marco Palladino
The latest update of Kong (0.8.1) ships with some fixes and improvements:

Updates

    Kong now adds the “X-Forwarded-Host” and “X-Forwarded-Prefix” headers to the upstream request. The Datadog plugin now also logs consumer information. Fixed some database bugs that involved migrations and full-updates. And more.
To update to the latest version, simply follow the installation instructions.

PostgreSQL support!

In case you missed the previous announcement, Kong 0.8.x now finally supports both Cassandra and PostgreSQL. You can now decide if you want to use Kong with the eventual consistency model of Cassandra, or the ease of use of Postgres. This…
Marco Palladino
We are happy to announce Kong 0.8.0 with PostgreSQL support, plus two new official plugins and many other improvements:

Updates

    PostgreSQL 9.4+ support. You can now choose to use Cassandra or PostgreSQL as Kong’s datastore. New LDAP Authentication plugin. New StatsD logging plugin. Configurable Cassandra read/write consistency. And more.
To update to the latest version, simply follow the installation instructions.

Kong meets PostgreSQL!

  Finally Kong ships with one of the most requested features by the community. You can now choose which underlying datastore you want to use with Kong between Cassandra or PostgreSQL. Cassandra comes with…
Marco Palladino
The latest update of Kong (0.7.0) ships with some new additions and improvements:

Updates

    New Runscope plugin. Rate-Limiting and Response Rate-Limiting plugins now support asynchronous increments with “config.async” to improve performance, and better uptime if the datastore is unavailable with “config.continue_on_error”. Improvements and bug-fixes in the ACL, IP Restriction, SSL and ACL plugins. An important fix in the Docker distribution, which allows to run nginx as a daemon again. And more.
To update to the latest version, simply follow the installation instructions.

Upgrading from < 0.7.x

If you are migrating from an older version of Kong < 0.7.x,…
Marco Palladino
The latest update of Kong (0.6.1) ships with some fixes and improvements:

Updates

    Added a new timeout property for the Cassandra configuration. Cassandra SSL certificates are now properly trusted by Nginx. Allow Cassandra authentication with arbitrary plain text auth providers (required, for example, by Instaclustr). And more.
To update to the latest version, simply follow the installation instructions.

Upgrading from < 0.6.x

If you are migrating from an older version of Kong < 0.6.x, then follow the migration instructions in order to make your Kong cluster functioning after updating to 0.6.x.

Webinars

We are looking forward to seeing…
older posts >